<?php

namespace Drupal\face_login_gauth\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Url;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Session\AccountProxy;

/**
 * Class FaceLoginQrCodeDecoratorController.
 */
class FaceLoginQrCodeDecoratorController extends ControllerBase {

  /**
   * Drupal\Core\Session\AccountProxy definition.
   *
   * @var \Drupal\Core\Session\AccountProxy
   */
  protected $currentUser;

  /**
   * Constructs a new FaceLoginQrCodeGeneratorController object.
   */
  public function __construct(AccountProxy $currentUser) {
    $this->currentUser = $currentUser;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('current_user')
    );
  }

  /**
   * Decorator for QR code.
   *
   * @return array
   *   Qr code Image.
   */
  public function getQrCode() {
    $qrCodeImage = [
      '#theme' => 'image',
      '#uri' => Url::fromRoute('face_login_gauth.face_login_qr_code_generator_controller_get')->toString(),
      '#attributes' => array('class' => 'module-name-center')
    ];
    return [
      '#theme' => 'qr_code',
      '#qr_code' => $qrCodeImage

    ];
  }

}
